# QuickHashIntStringHash::update

(PECL quickhash >= Unknown)

QuickHashIntStringHash::update — This method updates an entry in the hash with a new value

### 说明

public QuickHashIntStringHash::update(int `$key`, string `$value`): bool

This method updates an entry with a new value, and returns whether the entry was update. If there are duplicate keys, only the first found element will get an updated value. Use QuickHashIntStringHash::CHECK_FOR_DUPES during hash creation to prevent duplicate keys from being part of the hash.

### 参数

`key`
  The key of the entry to update.
`value`
  The new value for the entry. If a non-string is passed, it will be converted to a string automatically if possible.

### 返回值

`true` when the entry was found and updated, and `false` if the entry was not part of the hash already.

### 示例

示例 #1 QuickHashIntStringHash::update() example

`<?php
$hash->add( 161803398, "--" );
$hash->add( 314159265, "a lot" );
echo $hash->get( 161803398 ), "\n";
echo $hash->get( 314159265 ), "\n";
var_dump( $hash->update( 314159265, "a lot plus one" ) );
var_dump( $hash->update( 314159999, "a lot plus one" ) );
echo $hash->get( 161803398 ), "\n";
echo $hash->get( 314159265 ), "\n";
?>`

以上示例的输出类似于：

    --
    a lot
    bool(true)
    bool(false)
    --
    a lot plus one

`↑` and `↓` to navigate • `Enter` to select • `Esc` to close • `/` to open